#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    long long p,o,n,m;
    vector <pair<long long,long long>> vage;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        cin>>o>>p;
        vage.push_back(make_pair(o,p));
    }
    while(m--)
    {
        long long l,r,x;
        cin>>l>>r>>x;
        int p=0;
        for(l=l-1;l<r;l++)
        {
            if((vage[l].first<=x)&&(vage[l].second>=x))
                p++;
        }
        cout<<p<<"\n";
    }
    return 0;
}